Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.visualize.plugins
Interface GraphVisualizePlugin

    public interface GraphVisualizePlugin

Interface implemented by classes loaded dynamically to visualize graphs in the explorer.

Version:
  $Revision: 4996 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Method Summary
`java.lang.String` | `getDesignVersion()` Get the specific version of Weka the class is designed for.
`java.lang.String` | `getMaxVersion()` Get the maximum version of Weka, exclusive, the class is designed to work with.
`java.lang.String` | `getMinVersion()` Get the minimum version of Weka, inclusive, the class is designed to work with.
`javax.swing.JMenuItem` | `getVisualizeMenuItem(java.lang.String bif, java.lang.String name)` Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the graph in XML BIF format.

Method Detail

### getVisualizeMenuItem

    javax.swing.JMenuItem getVisualizeMenuItem(java.lang.String bif,
                                               java.lang.String name)

  Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the graph in XML BIF format. Exceptions thrown because of changes in Weka since compilation need to be caught by the implementer.

  Parameters:
    `bif` - the graph in XML BIF format
    `name` - the name of the item (in the Explorer's history list)
  Returns:
    menuitem for opening visualization(s), or null to indicate no visualization is applicable for the input
  See Also:
    `NoClassDefFoundError`, `IncompatibleClassChangeError`

### getMinVersion

    java.lang.String getMinVersion()

  Get the minimum version of Weka, inclusive, the class is designed to work with. eg: `3.5.0`

  Returns:
    the minimum version

### getMaxVersion

    java.lang.String getMaxVersion()

  Get the maximum version of Weka, exclusive, the class is designed to work with. eg: `3.6.0`

  Returns:
    the maximum version

### getDesignVersion

    java.lang.String getDesignVersion()

  Get the specific version of Weka the class is designed for. eg: `3.5.1`

  Returns:
    the version the plugin was designed for

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD